/*
 * hmi.h
 *
 *  Created on: May 31, 2017
 *      Author: wn
 */

#ifndef HMI_H_
#define HMI_H_


#include "timer.h"
#include "stm32f1xx_hal.h"



typedef enum { TE_IDLE = 0, TE_HOT, TE_COLD, TE_UNCONFIRMED, TE_CONFIRMED, TE_BLOCKED, TE_LAST } tThermometerEngineState;
typedef enum { TS_IDLE = 0, TS_SET_TEMPERATURE, TS_SET_TIME } tSetState;

typedef struct {
  uint32_t toggle;
  uint32_t setModeTemperature;
  uint32_t setModeTime;
  tTimerState timerState;
  tThermometerEngineState thermometerEngineState;
  uint8_t coldCount;
  tSetState setState;
  uint32_t targetTemperature;
  uint32_t currentTemperature;
  uint32_t targetTime;
  uint32_t currentTime;
  uint32_t overrunTime;
  uint32_t operatingTime;
} tDisplay;

void hmiInit(void);
void updateDisplay(void *handle);
void displayToggleSetMode();
void displayDecValue();
void displayIncValue();


#endif /* HMI_H_ */
